ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Tc.Types.LclEnv

# Documentation

data TcLclEnv #

Constructors

TcLclEnv |
Fields tcl_lcl_ctxt :: !TcLclCtxt tcl_usage :: TcRef UsageEnv tcl_lie :: TcRef WantedConstraints tcl_errs :: TcRef (Messages TcRnMessage)

data TcLclCtxt #

Constructors

TcLclCtxt |
Fields tcl_loc :: RealSrcSpan tcl_ctxt :: [ErrCtxt] tcl_in_gen_code :: Bool tcl_tclvl :: TcLevel tcl_bndrs :: TcBinderStack tcl_rdr :: LocalRdrEnv tcl_th_ctxt :: ThLevel tcl_th_bndrs :: ThBindEnv tcl_arrow_ctxt :: ArrowCtxt tcl_env :: TcTypeEnv

modifyLclCtxt :: (TcLclCtxt -> TcLclCtxt) -> TcLclEnv -> TcLclEnv #

getLclEnvArrowCtxt :: TcLclEnv -> ArrowCtxt #

getLclEnvThBndrs :: TcLclEnv -> ThBindEnv #

getLclEnvTypeEnv :: TcLclEnv -> TcTypeEnv #

getLclEnvBinderStack :: TcLclEnv -> TcBinderStack #

getLclEnvErrCtxt :: TcLclEnv -> [ErrCtxt] #

getLclEnvLoc :: TcLclEnv -> RealSrcSpan #

getLclEnvRdrEnv :: TcLclEnv -> LocalRdrEnv #

getLclEnvTcLevel :: TcLclEnv -> TcLevel #

getLclEnvThLevel :: TcLclEnv -> ThLevel #

setLclEnvTcLevel :: TcLevel -> TcLclEnv -> TcLclEnv #

setLclEnvLoc :: RealSrcSpan -> TcLclEnv -> TcLclEnv #

setLclEnvRdrEnv :: LocalRdrEnv -> TcLclEnv -> TcLclEnv #

setLclEnvBinderStack :: TcBinderStack -> TcLclEnv -> TcLclEnv #

setLclEnvErrCtxt :: [ErrCtxt] -> TcLclEnv -> TcLclEnv #

setLclEnvThLevel :: ThLevel -> TcLclEnv -> TcLclEnv #

setLclEnvTypeEnv :: TcTypeEnv -> TcLclEnv -> TcLclEnv #

modifyLclEnvTcLevel :: (TcLevel -> TcLevel) -> TcLclEnv -> TcLclEnv #

lclEnvInGeneratedCode :: TcLclEnv -> Bool #

addLclEnvErrCtxt :: ErrCtxt -> TcLclEnv -> TcLclEnv #

data ArrowCtxt #

Constructors

NoArrowCtxt |
ArrowCtxt LocalRdrEnv (TcRef WantedConstraints) |

type ThBindEnv = NameEnv (TopLevelFlag, ThLevelIndex) #

type TcTypeEnv = NameEnv TcTyThing #